<div class="body-data-wrapper">
  <div style="height: 30px;"></div>
  <app-header-page>Body Data Analytics</app-header-page>
  <app-layout>
    <div class="inputs-wrapper">
      <div class="inputs-group">
        <div class="group-header">Order details:</div>
        <app-select [selectItem]="dataListOrders.madeOrder"></app-select>
        <app-select [selectItem]="dataListOrders.madeReturn"></app-select>
        <app-select [selectItem]="dataListOrders.category"></app-select>
      </div>
      <div class="inputs-group">
        <div class="group-header">Location:</div>
        <app-select [selectItem]="dataListLocation.country"></app-select>
        <app-select [selectItem]="dataListLocation.city"></app-select>

        <app-select [selectItem]="dataListLocation.state"></app-select>
      </div>
      <div class="input-range">
        <div class="group-header">
          Height: <app-choose [variants]="variants"></app-choose>
        </div>
        <div style="margin-top: 30px">
          <app-range></app-range>
        </div>
      </div>
    </div>
    <div class="inputs-buttons">
      <app-button [styles]="{ padding: '4px 28px 6px' }">Apply</app-button>
      <span class="customers">28 of 26,738 customers</span>
      <app-button [color]="'danger'"
        ><span class="cross">✖</span>Clear filters</app-button
      >
    </div>
  </app-layout>
  <app-layout [isHeader]="'Overview'">
    <div class="body-shapes-data">
      <app-body-shape-with-title
        [title]="averageShapes.title"
        [bodyShapesList]="averageShapes.shapeList"
        style="width: 26%"
      ></app-body-shape-with-title>
      <app-body-shape-with-title
        [title]="insightsShapes.title"
        [bodyShapesList]="insightsShapes.shapeList"
        style="margin-left: 20px;width: 100%"
      ></app-body-shape-with-title>
    </div>
  </app-layout>
  <app-layout [isHeader]="'Body Shape Distribution'">
    <div class="body-shapes-data">
      <app-body-shape-with-title
        [title]="bodyTypes.hourglass.title"
        [bodyShapesList]="bodyTypes.hourglass.shapeList"
        style="width: 20%"
      ></app-body-shape-with-title>
      <app-body-shape-with-title
        [title]="bodyTypes.rectangle.title"
        [bodyShapesList]="bodyTypes.rectangle.shapeList"
        style="margin-left: 20px; width: 20%"
      ></app-body-shape-with-title>
      <app-body-shape-with-title
        [title]="bodyTypes.apple.title"
        [bodyShapesList]="bodyTypes.apple.shapeList"
        style="margin-left: 20px; width: 20%"
      ></app-body-shape-with-title>
      <app-body-shape-with-title
        [title]="bodyTypes.triangle.title"
        [bodyShapesList]="bodyTypes.triangle.shapeList"
        style="margin-left: 20px; width: 20%"
      ></app-body-shape-with-title>
      <app-body-shape-with-title
        [title]="bodyTypes.invertedTriangle.title"
        [bodyShapesList]="bodyTypes.invertedTriangle.shapeList"
        style="margin-left: 20px; width: 20%"
      ></app-body-shape-with-title>
    </div>
  </app-layout>
  <app-layout [isCustomHeader]="true" [isPagination]="true">
    <div class="header-wrapper" customHeader>
      <span
        >Customers
        <span style="	color: #888B9B; margin-left: 6px">28 results</span></span
      >
      <app-button [type]="'export'" [color]="'gray'">🠣 Export</app-button>
    </div>
    <div style="margin-bottom: 26px;">
      <app-table [columns]="tableColumns" [rows]="tableRows"></app-table>
    </div>
  </app-layout>
  <app-footer></app-footer>
</div>
